Summary: 'nn' news reader with NNTP and NOV support (for INN 2.X).
Name: nn
Version: 6.5.4
Release: 1
Copyright: distributable
Vendor: Kim F. Storm, Peter Wemm and Michael T Pins <mtpins@icaen.uiowa.edu>
Packager: David Summers <david@summersoft.fay.ar.us>
URL: ftp://ftp.visi.com/users/~guckes/nn/
Group: Applications/News
Requires: gawk, bash
Source0: ftp://ftp.visi.com/users/mtpins/nn-6.5.4.tar.Z
Patch0: nn-6.5.4-linux.patch
Patch1: nn-6.5.1-rfc1522.patch
Patch2: ncurses.patch
BuildRoot: /var/tmp/nn

%description
nn is a menu based (point and shoot) netnews reader with a complete
set of features to satisfy both the expert and the novice user.  Since
its first release in Denmark in 1984 (!), in Europe in 1988, and the
global release in June 1989, it has replaced rn and other well-known
news readers at many sites.

This version of nn has been patched to support RFC-1522 style headers.
This version works with INN Version 2.X.

%changelog
* Sat Sep 25 1999 David Summers <david@summersoft.fay.ar.us>
- Release 6.5.4-1
  Updated to 6.5.4 release
  Now builds as non-root.
  Updated for INN 2.2.3.
  Fixed problem with display by switching from termcap to ncurses.

%prep
%setup -q -n nn-6.5.4
%patch0 -p1 -b linux
%patch1 -p1 -b rfc1522
%patch2 -p1 -b ncurses
mv config.h-dist config.h

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/nn
mkdir -p $RPM_BUILD_ROOT/usr/lib/nn
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
sed -e 's;=/;=/var/tmp/nn/;' < inst > inst.new; mv inst.new inst; chmod a+x inst
echo s | ./inst

(cd $RPM_BUILD_ROOT/usr/lib/nn
mv aux back_act conf nnspew upgrade_rc $RPM_BUILD_ROOT/etc/nn
ln -s ../../../etc/nn/* .
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/nn/*
%doc 0README ChangeLog olddocs/README PATCH.RFC1522
/usr/bin/*
/usr/lib/nn/*
/usr/man/*/*
